Bug 234790 - (perl-Email-Abstract) Review Request: perl-Email-Abstract - Unified interface to mail representations
Review Request: perl-Email-Abstract - Unified interface to mail representations
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Package Reviews List
:
Depends On: perl-Mail-Box
Blocks: perl-Email-Date perl-Email-Reply perl-Email-Send
  Show dependency treegraph
 
Reported: 2007-04-01 19:21 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-17 16:08:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bjohnson: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-04-01 19:21:11 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/perl-Email-Abstract.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/perl-Email-Abstract-2.132-1.src.rpm
Description: 
"Email::Abstract" provides module writers with the ability to write
representation-independent mail handling code. For instance, in the
cases of "Mail::Thread" or "Mail::ListDetector", a key part of the code
involves reading the headers from a mail object. Where previously one
would either have to specify the mail class required, or to build a new
object from scratch, "Email::Abstract" can be used to perform certain
simple operations on an object regardless of its underlying
representation.
Comment 1 Ralf Corsepius 2007-04-02 02:12:21 EDT
NEEDSWORK:

+ /usr/bin/perl Makefile.PL INSTALLDIRS=vendor
WARNING: LICENSE is not a known parameter.
Checking if your kit is complete...
Looks good
Warning: prerequisite Module::Pluggable 1.5 not found.
'LICENSE' is not a known MakeMaker parameter name.
Writing Makefile for Email::Abstract
...
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/abs-object......NOK 1                                                      
#   Failed test 'use Email::Abstract;'
#   in t/abs-object.t at line 15.
#     Tried to use 'Email::Abstract'.
#     Error:  Can't locate Module/Pluggable.pm

Comment 2 Tom "spot" Callaway 2007-04-02 13:12:37 EDT
New SRPM:
http://www.auroralinux.org/people/spot/review/perl-Email-Abstract-2.132-2.src.rpm
New SPEC:
http://www.auroralinux.org/people/spot/review/perl-Email-Abstract.spec

Fixed the NEEDSWORK items, but I noticed another missing BuildRequires. Which
dragged in another tree of perl packages. perl-Mail-Box is the top of that tree
(234862).
Comment 3 Bernard Johnson 2007-04-16 05:06:31 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Rpmlint output: None
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the  Packaging Guidelines.
 [x] Package is licensed with an open-source compatible license and meet other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is written in American English.
 [x] Spec file for the package is legible.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     MD5SUM this package    : 0eeaf43f08a9f931d7189c473ed8fc4b
     MD5SUM upstream package: 0eeaf43f08a9f931d7189c473ed8fc4b
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: FC-6 / i386
 [x] Package is not known to require ExcludeArch, OR:
     Arches excluded:
     Why:
 [!] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: FC-6 / i386
 [-] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files are correct.
 [-] File based requires are sane.
 [-] Latest version is packaged.

=== Issues ===
1. For complete test coverage, the following BRs need to be added:
perl(Email::MIME) perl(Test::Pod) perl(Test::Pod::Coverage)

=== Final Notes ===
1.



Please fix the missing BRs and I'll approve the package.
Comment 5 Bernard Johnson 2007-04-16 11:19:22 EDT
Don't get sloppy at this point.  Space separated or comma separated - pick one,
but not both :)

================
*** APPROVED ***
================
Comment 6 Tom "spot" Callaway 2007-04-17 10:04:57 EDT
New Package CVS Request
=======================
Package Name: perl-Email-Abstract
Short Description: Unified interface to mail representations
Owners: tcallawa@redhat.com
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com
Comment 7 Tom "spot" Callaway 2007-04-17 16:08:00 EDT
Built (and comma separated on commit), thanks.

Note You need to log in before you can comment on or make changes to this bug.